Subject: [calsify] Hebrew Adar II - "6L" or "6" ?

From: Justin Grant <[email-masked]>
Date: Mon, 11 Jan 2021 13:43:40 -0800

The Temporal team has a quick question about RFC 7529: is Hebrew month Adar
II (Adar in a leap year) referred to using "6L" or "6" according to the
spec?  I assume the latter (because they're the same month, just with a
different name) but wanted to make sure.

Cheers,
Justin

---

From: Shane Carr <[email-masked]>
Date: Mon, 11 Jan 2021 15:50:17 -0600

Additional context: for the purposes of date *formatting*, it is useful for
interchange to distinguish between Adar and Adar II.

On Mon, Jan 11, 2021 at 3:44 PM Justin Grant <
[email-masked]> wrote:

> The Temporal team has a quick question about RFC 7529: is Hebrew month
> Adar II (Adar in a leap year) referred to using "6L" or "6" according to
> the spec?  I assume the latter (because they're the same month, just with a
> _______________________________________________
> calsify mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/calsify
>

---

From: Ken Murchison <[email-masked]>
Date: Mon, 11 Jan 2021 16:54:56 -0500

Adar (or Adar II in a leap year) is always month "6".  Adar I is "5L" 
since its inserted between "5" and "6".

On 1/11/21 4:50 PM, Shane Carr wrote:
> Additional context: for the purposes of date /formatting/, it is 
> useful for interchange to distinguish between Adar and Adar II.
>
> On Mon, Jan 11, 2021 at 3:44 PM Justin Grant 
> <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     The Temporal team has a quick question about RFC 7529: is Hebrew
>     month Adar II (Adar in a leap year) referred to using "6L" or "6"
>     according to the spec?  I assume the latter (because they're the
>     same month, just with a different name) but wanted to make sure.
>
>     Cheers,
>     Justin
>
>     [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/calsify>
>
>

-- 
Kenneth Murchison
Senior Software Developer
Fastmail US LLC

---

From: Shane Carr <[email-masked]>
Date: Mon, 11 Jan 2021 16:21:40 -0600

Does RFC 7529 offer a solution to the date *formatting* use case mentioned
above, or is this problem considered out of scope?

For example, if I am asked to present a localized string representing RFC
7529 Hebrew month "6", I do not have enough context to distinguish Adar
from Adar II.

On Mon, Jan 11, 2021 at 3:55 PM Ken Murchison <[email-masked]> wrote:

> Additional context: for the purposes of date *formatting*, it is useful
> for interchange to distinguish between Adar and Adar II.
>
> calsify mailing [email-masked]://www.ietf.org/mailman/listinfo/calsify
>
> --
> Kenneth Murchison

---

From: Ken Murchison <[email-masked]>
Date: Mon, 11 Jan 2021 17:30:33 -0500

RFC 7529 only addresses how to specify non-Gregorian calendar date parts 
for iCalendar recurrence rules.  All full dates are still specified in 
the Gregorian calendar using the ISO-like format specified in RFC 5545.

If you're looking for extensions to ISO 8601 or RFC 3339 date formats, 
RFC 7529 doesn't do that.

On 1/11/21 5:21 PM, Shane Carr wrote:
> Does RFC 7529 offer a solution to the date /formatting/ use case 
> mentioned above, or is this problem considered out of scope?
>
> For example, if I am asked to present a localized string representing 
> RFC 7529 Hebrew month "6", I do not have enough context to distinguish 
> Adar from Adar II.
>
> On Mon, Jan 11, 2021 at 3:55 PM Ken Murchison <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Adar (or Adar II in a leap year) is always month "6". Adar I is
>     "5L" since its inserted between "5" and "6".
>
>
>>         The Temporal team has a quick question about RFC 7529: is
>>         Hebrew month Adar II (Adar in a leap year) referred to using
>>         "6L" or "6" according to the spec?  I assume the latter
>>         (because they're the same month, just with a different name)
>>         but wanted to make sure.
>>
>>         Cheers,
>>         Justin
>>
>>     https://www.ietf.org/mailman/listinfo/calsify  <https://www.ietf.org/mailman/listinfo/calsify>
>
>     -- 
>     Kenneth Murchison